Module java.desktop
Package javax.swing.plaf.metal

# Class MetalFileChooserUI.DirectoryComboBoxModel

java.lang.Object
javax.swing.AbstractListModel<Object>
javax.swing.plaf.metal.MetalFileChooserUI.DirectoryComboBoxModel

All Implemented Interfaces:
  `Serializable`, `ComboBoxModel<Object>`, `ListModel<Object>`

Enclosing class:
  `MetalFileChooserUI`

protected class MetalFileChooserUI.DirectoryComboBoxModel extends AbstractListModel<Object> implements ComboBoxModel<Object>
Data model for a type-face selection combo-box.

- ## Field Summary

  ### Fields declared in class javax.swing.AbstractListModel

  `listenerList`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DirectoryComboBoxModel()`
  Constructs an instance of `DirectoryComboBoxModel`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDepth(int i)`
  Returns the depth of `i`-th file.
  `Object`
  `getElementAt(int index)`
  Returns the value at the specified index.
  `Object`
  `getSelectedItem()`
  Returns the selected item
  `int`
  `getSize()`
  Returns the length of the list.
  `void`
  `setSelectedItem(Object selectedDirectory)`
  Set the selected item.

  ### Methods declared in class javax.swing.AbstractListModel

  `addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.swing.ListModel

  `addListDataListener, removeListDataListener`

- ## Constructor Details

  - ### DirectoryComboBoxModel

    public DirectoryComboBoxModel()
    Constructs an instance of `DirectoryComboBoxModel`.

- ## Method Details

  - ### getDepth

    public int getDepth(int i)
    Returns the depth of `i`-th file.
    Parameters:
      `i` - an index
    Returns:
      the depth of `i`-th file

  - ### setSelectedItem

    public void setSelectedItem(Object selectedDirectory)
    Description copied from interface: `ComboBoxModel`
    Set the selected item. The implementation of this method should notify all registered `ListDataListener`s that the contents have changed.
    Specified by:
      `setSelectedItem` in interface `ComboBoxModel<Object>`
    Parameters:
      `selectedDirectory` - the list object to select or `null` to clear the selection

  - ### getSelectedItem

    public Object getSelectedItem()
    Description copied from interface: `ComboBoxModel`
    Returns the selected item
    Specified by:
      `getSelectedItem` in interface `ComboBoxModel<Object>`
    Returns:
      The selected item or `null` if there is no selection

  - ### getSize

    public int getSize()
    Description copied from interface: `ListModel`
    Returns the length of the list.
    Specified by:
      `getSize` in interface `ListModel<Object>`
    Returns:
      the length of the list

  - ### getElementAt

    public Object getElementAt(int index)
    Description copied from interface: `ListModel`
    Returns the value at the specified index.
    Specified by:
      `getElementAt` in interface `ListModel<Object>`
    Parameters:
      `index` - the requested index
    Returns:
      the value at `index`